<?php

namespace Drupal\entity_generic\Entity;

use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Defines an interface for basic entities.
 */
interface BasicInterface extends ContentEntityInterface, EntityChangedInterface {

  /**
   * Gets the entity creation timestamp.
   *
   * @return int
   *   Creation timestamp of the entity.
   */
  public function getCreatedTime();

  /**
   * Sets the entity creation timestamp.
   *
   * @param int $timestamp
   *   The entity creation timestamp.
   *
   * @return \Drupal\entity_generic\Entity\BasicInterface
   *   The called entity.
   */
  public function setCreatedTime($timestamp);

}
