<?php

namespace Drupal\entity_generic;

use Drupal\views\EntityViewsData;

/**
 * Provides the views data for the entity type.
 */
class GenericViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    return $data;
  }

  /**
   * {@inheritdoc}
   */
  protected function addEntityLinks(array &$data) {
    parent::addEntityLinks($data);

    $entity_type_id = $this->entityType->id();
    $t_arguments = ['@entity_type_label' => $this->entityType->getLabel()];

    if ($this->entityType->hasLinkTemplate('edit-modal-form')) {
      $data['edit_modal_' . $entity_type_id] = [
        'field' => [
          'title' => $this->t('Link to modal edit @entity_type_label', $t_arguments),
          'help' => $this->t('Provide an edit link for modal form to the @entity_type_label.', $t_arguments),
          'id' => 'entity_generic_link_edit_modal',
        ],
      ];
    }

    if ($this->entityType->hasLinkTemplate('delete-modal-form')) {
      $data['delete_modal_' . $entity_type_id] = [
        'field' => [
          'title' => $this->t('Link to modal delete @entity_type_label', $t_arguments),
          'help' => $this->t('Provide a delete link for modal form to the @entity_type_label.', $t_arguments),
          'id' => 'entity_generic_link_delete_modal',
        ],
      ];
    }

    if ($this->entityType->hasLinkTemplate('toggle-status-modal-form')) {
      $data['toggle_status_modal_' . $entity_type_id] = [
        'field' => [
          'title' => $this->t('Link to modal toggle status @entity_type_label', $t_arguments),
          'help' => $this->t('Provide a toggle status link for modal form to the @entity_type_label.', $t_arguments),
          'id' => 'entity_generic_toggle_status_modal',
        ],
      ];
    }

  }

}
